summaryrefslogtreecommitdiffstats
path: root/tests/gnu/inum_automount.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2022-10-19 10:29:05 -0400
committerTavian Barnes <tavianator@tavianator.com>2022-10-19 11:50:03 -0400
commit3b387d81e63893ed3fe3b45e3721fbcfb1c5dde0 (patch)
tree513c32eda43d92a8ed977f394492ba198bba1f3b /tests/gnu/inum_automount.sh
parente5972621ffa8864b18d3e303ac714fdbe231be74 (diff)
downloadbfs-3b387d81e63893ed3fe3b45e3721fbcfb1c5dde0.tar.xz
tests: Split test cases into separate files
Diffstat (limited to 'tests/gnu/inum_automount.sh')
-rw-r--r--tests/gnu/inum_automount.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/gnu/inum_automount.sh b/tests/gnu/inum_automount.sh
new file mode 100644
index 0000000..0149043
--- /dev/null
+++ b/tests/gnu/inum_automount.sh
@@ -0,0 +1,17 @@
+# bfs shouldn't trigger automounts unless it descends into them
+
+skip_unless test "$SUDO"
+skip_unless command -v systemd-mount &>/dev/null
+
+rm -rf scratch/*
+mkdir scratch/{foo,mnt}
+skip_unless sudo systemd-mount -A -o bind basic scratch/mnt
+
+before=$(inum scratch/mnt)
+bfs_diff scratch -inum "$before" -prune
+ret=$?
+after=$(inum scratch/mnt)
+
+sudo systemd-umount scratch/mnt
+
+((ret == 0 && before == after))